##### 7.5.5.0. DLoc0

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  DLoc0(I, f); I an ideal, f a poly

Return:
  ring (a Weyl algebra) containing an ideal 'LD0' and a list 'BS'

Purpose:
  compute the presentation of the localization of D/I w.r.t. f^s,
  where D is a Weyl Algebra, based on the output of procedure SDLoc

Assume:
  the basering is similar to the output ring of SDLoc procedure

Note:
  activate the output ring with the `setring` command. In this ring,
  - the ideal LD0 (given as Groebner basis) is the presentation of the
  localization,
  - the list BS contains roots and multiplicities of Bernstein
  polynomial of (D/I)_f.

Display:
  If printlevel =1, progress debug messages will be printed,
  if printlevel>=2, all the debug messages will be printed.

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y,Dx,Dy),dp;
    def R = Weyl();    setring R; // Weyl algebra in variables x,y,Dx,Dy
    poly F = x2-y3;
    ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F;
    // moreover I is not holonomic, since its dimension is not 2 = 4/2
    gkdim(I); // 3
    ==> 3
    def W = SDLoc(I,F);  setring W; // creates ideal LD in W = R[s]
    def U = DLoc0(LD, x2-y3);  setring U; // compute in R
    LD0; // Groebner basis of the presentation of localization
    ==> LD0[1]=3*x*Dx+2*y*Dy+12
    ==> LD0[2]=3*y^2*Dx+2*x*Dy
    ==> LD0[3]=y^3*Dy-x^2*Dy+6*y^2
    BS; // description of b-function for localization
    ==> [1]:
    ==>    _[1]=0
    ==>    _[2]=1/6
    ==>    _[3]=-1/6
    ==> [2]:
    ==>    1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.